uniform mat4	uniViewProjectionMatrix;

in mat3			atrModelMatrix;
in vec3			atrPosition;
in vec2			atrTextureCoordinates;

out vec2		varTextureCoordinates;


void main()
{
	gl_Position				= uniViewProjectionMatrix * vec4(atrModelMatrix * atrPosition, 1.0);
	varTextureCoordinates	= atrTextureCoordinates;
}
